import type { EventPlugin } from './plugin';
import type { Timeline } from './timeline';
export declare const warnMissingNativeModule: () => void;
export declare const getNativeModule: (moduleName: string) => any;
export declare const chunk: <T>(array: T[], count: number, maxKB?: number) => T[][];
export declare const getAllPlugins: (timeline: Timeline) => import("./plugin").Plugin[];
export declare const getPluginsWithFlush: (timeline: Timeline) => EventPlugin[];
export declare const getPluginsWithReset: (timeline: Timeline) => EventPlugin[];
declare type PromiseResult<T> = {
    status: 'fulfilled';
    value: T;
} | {
    status: 'rejected';
    reason: unknown;
};
export declare const allSettled: <T>(promises: (T | Promise<T>)[]) => Promise<PromiseResult<T>[]>;
export {};
